summaryrefslogtreecommitdiffstats
path: root/source/n/vlan
diff options
context:
space:
mode:
Diffstat (limited to 'source/n/vlan')
-rw-r--r--source/n/vlan/slack-desc19
-rwxr-xr-xsource/n/vlan/vlan.SlackBuild69
2 files changed, 88 insertions, 0 deletions
diff --git a/source/n/vlan/slack-desc b/source/n/vlan/slack-desc
new file mode 100644
index 000000000..23dcc65d0
--- /dev/null
+++ b/source/n/vlan/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+vlan: vlan (VLAN (802.1q) configuration program)
+vlan:
+vlan: The vlan package contains the vconfig program, which allows you to
+vlan: create and remove VLAN devices on a VLAN enabled kernel. VLAN
+vlan: devices are virtual Ethernet devices which represent virtual LANs on
+vlan: the physical LAN.
+vlan:
+vlan: vlan is primarily the work of Alex Zeffertt, Cambridge Broadband Ltd,
+vlan: extensively rewritten by Ben Greear.
+vlan:
+vlan:
diff --git a/source/n/vlan/vlan.SlackBuild b/source/n/vlan/vlan.SlackBuild
new file mode 100755
index 000000000..1b1064a86
--- /dev/null
+++ b/source/n/vlan/vlan.SlackBuild
@@ -0,0 +1,69 @@
+#!/bin/sh
+
+# Copyright 2008, 2009 Patrick J. Volkerding, Sebeka, MN, USA
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+VERSION=1.9
+ARCH=${ARCH:-x86_64}
+BUILD=${BUILD:-2}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp}
+PKG=$TMP/package-vlan
+
+rm -rf $PKG
+mkdir -p $TMP $PKG
+
+cd $TMP
+rm -rf vlan
+tar xvf $CWD/vlan.1.9.tar.bz2 || exit 1
+cd vlan
+
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+make clean
+make vconfig || exit 1
+
+strip --strip-unneeded vconfig
+mkdir -p $PKG/sbin
+cp vconfig $PKG/sbin
+chmod 755 $PKG/sbin/vconfig
+
+mkdir -p $PKG/usr/man/man8
+cat vconfig.8 | gzip -9c > $PKG/usr/man/man8/vconfig.8.gz
+
+mkdir -p $PKG/usr/doc/vlan-1.9
+cp -a \
+ README howto.html vlan.html \
+ $PKG/usr/doc/vlan-1.9
+
+# Finish up the package:
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+# Build the package:
+cd $PKG
+/sbin/makepkg -l y -c n $TMP/vlan-$VERSION-$ARCH-$BUILD.txz
+